Node Version Create
Create the single mutable draft checkpoint for a node. This operation requires either `SUBMIT_LIBRARY_NODE_CHANGES` or `MANAGE_LIBRARY` permission. The draft starts as a full snapshot of the node's current versioned page fields. Fields supplied in the request overlay that snapshot, omitted fields keep the snapshotted value, and explicit null values clear nullable fields. A node can have only one draft. If a draft already exists for the node, this operation returns a conflict. Drafts do not mutate the target node until the draft is applied through the version status endpoint by a member with `MANAGE_LIBRARY`.
Create the single mutable draft checkpoint for a node.
This operation requires either SUBMIT_LIBRARY_NODE_CHANGES or
MANAGE_LIBRARY permission. The draft starts as a full snapshot of the
node's current versioned page fields. Fields supplied in the request
overlay that snapshot, omitted fields keep the snapshotted value, and
explicit null values clear nullable fields.
A node can have only one draft. If a draft already exists for the node,
this operation returns a conflict. Drafts do not mutate the target node
until the draft is applied through the version status endpoint by a
member with MANAGE_LIBRARY.
storyden-session<token>node_slug*stringUnique node Slug.
xidapplication/json- body
Initial overlay for a draft checkpoint. Omitted fields keep the target node's current value in the new draft snapshot. Nullable fields can be set to null to clear them. Properties are replace-all and are not merged with existing values when the version is applied.
name?NodeNameslug?NodeSlugA URL-safe slug for uniquely identifying resources.
description?string|nullcontent?string|nullproperties?array<>meta?Arbitrary metadata for the resource.
Node version created.
application/json- response
A draft or applied edit for a library node. Draft versions are mutable working snapshots. Applied versions are immutable snapshots that were copied into the target node upon publishing of the changes.
id*IdentifierA unique identifier for this resource.
xidcreated_at*stringdate-timeupdated_at*stringdate-timenode_id*IdentifierA unique identifier for this resource.
xidauthor*A minimal reference to an account.
status*NodeVersionStatus"draft""applied"previous?Previous applied version for historical comparison. Only present when retrieving an individual applied version and an earlier applied version exists.
name*NodeNameslug*NodeSlugA URL-safe slug for uniquely identifying resources.
description?string|nullcontent?string|nullproperties*array<>Complete desired-state property list for the target node. Properties are replace-all and are not merged with existing values when the version is applied.
meta*Arbitrary metadata for the resource.
curl -X POST 'https://example.com/api/nodes/string/versions' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "node_id": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "status": "draft", "previous": { "id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "status": "draft" }, "name": "string", "slug": "string", "description": "string", "content": "string", "properties": [ { "fid": "string", "name": "string", "value": "string", "type": "text", "sort": "string" } ], "meta": {}}Node Update Visibility PATCH
Update the visibility of a node. When changed, this may trigger other operations such as notifications/newsletters. Changing the visibility of anything to "published" is often accompanied by some other side effects.
Node Version Delete DELETE
Delete the working draft checkpoint. A draft author can discard their own draft. Members with `MANAGE_LIBRARY` permission can discard any draft for the node. The draft row is removed from history. Applied versions are immutable history entries and cannot be deleted through this endpoint.